SystemOrganization addCategory: #ConfigurationOfGTInspector!

Object subclass: #ConfigurationOfGTInspector
	instanceVariableNames: 'project'
	classVariableNames: 'LastVersionLoad'
	poolDictionaries: ''
	category: 'ConfigurationOfGTInspector'!

!ConfigurationOfGTInspector commentStamp: 'AndreiChis 8/28/2014 11:14' prior: 0!
self loadDevelopment!

!ConfigurationOfGTInspector class methodsFor: 'development support' stamp: 'AndreiChis 8/27/2014 22:51'!
DevelopmentSupport

"See the methods in the 'development support' category on the class-side of MetacelloBaseConfiguration. Decide what development support methods you would like to use and copy them the the class-side of your configuration."
	<apiDocumentation>
! !

!ConfigurationOfGTInspector class methodsFor: 'private' stamp: 'AndreiChis 8/27/2014 22:51'!
baseConfigurationClassIfAbsent: aBlock

	^Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			self ensureMetacelloBaseConfiguration.
			Smalltalk at: #MetacelloBaseConfiguration ifAbsent: aBlock ].
! !

!ConfigurationOfGTInspector class methodsFor: 'private' stamp: 'AndreiChis 8/27/2014 22:51'!
ensureMetacello

	(self baseConfigurationClassIfAbsent: []) ensureMetacello! !

!ConfigurationOfGTInspector class methodsFor: 'private' stamp: 'AndreiChis 8/27/2014 22:51'!
ensureMetacelloBaseConfiguration

	Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			| repository version |
			repository := MCHttpRepository location: 'http://seaside.gemstone.com/ss/metacello' user: '' password: ''.
			repository
				versionReaderForFileNamed: 'Metacello-Base-DaleHenrichs.2.mcz'
				do: [ :reader | 
					version := reader version.
					version load.
					version workingCopy repositoryGroup addRepository: repository ] ]! !

!ConfigurationOfGTInspector class methodsFor: 'metacello tool support' stamp: 'AndreiChis 8/27/2014 22:51'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfGTInspector class methodsFor: 'loading' stamp: 'AndreiChis 8/27/2014 22:51'!
load
	"Load the #stable version defined for this platform. The #stable version is the version that is recommended to be used on this platform."

	"self load"

	<apiDocumentation>
	^(self project version: #stable) load! !

!ConfigurationOfGTInspector class methodsFor: 'loading' stamp: 'AndreiChis 8/27/2014 22:51'!
loadBleedingEdge
	"Load the latest versions of the mcz files defined for this project. It is not likely that the #bleedingEdge has been tested."

	"self loadBleedingEdge"

	<apiDocumentation>
	^(self project version: #bleedingEdge) load! !

!ConfigurationOfGTInspector class methodsFor: 'loading' stamp: 'AndreiChis 8/27/2014 22:51'!
loadDevelopment
	"Load the #development version defined for this platform. The #development version will change over time and is not expected to be stable."

	"self loadDevelopment"

	<apiDocumentation>
	^(self project version: #development) load! !

!ConfigurationOfGTInspector class methodsFor: 'accessing' stamp: 'AndreiChis 8/27/2014 22:51'!
project

	^self new project! !

!ConfigurationOfGTInspector class methodsFor: 'development support' stamp: 'AndreiChis 8/27/2014 22:51'!
validate
	"Check the configuration for Errors, Critical Warnings, and Warnings (see class comment for MetacelloMCVersionValidator for more information). 
	Errors identify specification issues that will result in unexpected behaviour when you load the configuration. 
	Critical Warnings identify specification issues that may result in unexpected behavior when you load the configuration.
	Warnings identify specification issues that are technically correct, but are worth take a look at."

	"self validate"

	<apiDocumentation>
	self ensureMetacello.
	^ ((Smalltalk at: #MetacelloToolBox) validateConfiguration: self debug: #() recurse: false) explore! !

!ConfigurationOfGTInspector methodsFor: 'baselines' stamp: 'AndreiChis 8/28/2014 11:35'!
baseline01: spec
	<version: '0.1-baseline'>

	spec for: #'common' do: [
		spec blessing: #'baseline'.
		spec description: 'Separate configuration for the inspector'.
		spec author: 'AndreiChis'.
		spec timestamp: '2014-08-28'.
		spec repository: 'http://smalltalkhub.com/mc/Moose/GToolkit/main/'.
		spec 
			project: 'GlamourCore' with: [
				spec
					className: #ConfigurationOfGlamour;
					versionString: #'development';
					loads: #('Core' 'Core Tests' 'Morphic' );
					repository: 'http://smalltalkhub.com/mc/Moose/Glamour/main/' ];
			project: 'GlamourExtras' with: [
				spec
					className: #ConfigurationOfGlamour;
					versionString: #'development';
					loads: #('CoreExtras' 'Roassal' 'Roassal2' );
					repository: 'http://smalltalkhub.com/mc/Moose/Glamour/main/' ];
			project: 'DeepTraverser' with: [
				spec
					className: #ConfigurationOfDeepTraverser;
					versionString: #'development';
					repository: 'http://smalltalkhub.com/mc/Moose/DeepTraverser/main/' ].
		spec 
			package: #'GT-Inspector' with: [
				spec requires: #('GlamourCore' ). ];
			package: 'GT-InspectorExtensions-Core' with: [
				spec requires: #(#'GT-Inspector' 'GlamourCore' ). ];
			package: #'GT-InspectorExtensions-CoreRoassal' with: [
				spec requires: #(#'GT-Inspector' 'GlamourCore' 'GlamourExtras' ). ];
			package: 'GT-Tests-Inspector' with: [
				spec requires: #(#'GT-Inspector' 'GT-InspectorExtensions-Core' ). ].
		spec 
			group: 'Core' with: #(#'GT-Inspector' 'GT-InspectorExtensions-Core' );
			group: 'Tests' with: #(#'GT-Tests-Inspector' );
			group: 'default' with: #(#'GT-Inspector' 'GT-InspectorExtensions-Core' #'GT-InspectorExtensions-CoreRoassal' 'GT-Tests-Inspector' 'DeepTraverser' ). ].
! !

!ConfigurationOfGTInspector methodsFor: 'baselines' stamp: 'AndreiChis 9/22/2014 14:42'!
baseline10: spec
	<version: '1.0-baseline'>

	spec for: #'common' do: [
		spec blessing: #'baseline'.
		spec description: 'For version 1.0'.
		spec author: 'AndreiChis'.
		spec timestamp: '2014-09-22'.
		spec repository: 'http://smalltalkhub.com/mc/Moose/GToolkit/main/'.
		spec 
			project: 'GlamourCore' with: [
				spec
					className: #ConfigurationOfGlamour;
					versionString: #'development';
					loads: #('Core' 'Core Tests' 'Morphic' );
					repository: 'http://smalltalkhub.com/mc/Moose/Glamour/main/' ];
			project: 'GlamourExtras' with: [
				spec
					className: #ConfigurationOfGlamour;
					versionString: #'development';
					loads: #('CoreExtras' 'Roassal' 'Roassal2' );
					repository: 'http://smalltalkhub.com/mc/Moose/Glamour/main/' ];
			project: 'DeepTraverser' with: [
				spec
					className: #ConfigurationOfDeepTraverser;
					versionString: #'development';
					repository: 'http://smalltalkhub.com/mc/Moose/DeepTraverser/main/' ].
		spec 
			package: #'GT-Inspector' with: [
				spec requires: #('GlamourCore' ). ];
			package: 'GT-InspectorExtensions-Core' with: [
				spec requires: #(#'GT-Inspector' 'GlamourCore' ). ];
			package: #'GT-InspectorExtensions-CoreRoassal' with: [
				spec requires: #(#'GT-Inspector' 'GlamourCore' 'GlamourExtras' ). ];
			package: 'GT-Tests-Inspector' with: [
				spec requires: #(#'GT-Inspector' 'GT-InspectorExtensions-Core' ). ].
		spec 
			group: 'Core' with: #(#'GT-Inspector' 'GT-InspectorExtensions-Core' );
			group: 'Tests' with: #(#'GT-Tests-Inspector' );
			group: 'default' with: #(#'GT-Inspector' 'GT-InspectorExtensions-Core' #'GT-InspectorExtensions-CoreRoassal' 'GT-Tests-Inspector' 'DeepTraverser' ). ].
! !

!ConfigurationOfGTInspector methodsFor: 'accessing' stamp: 'AndreiChis 8/27/2014 22:51'!
customProjectAttributes
	 "Edit to return a collection of any custom attributes e.g. for conditional loading: Array with: #'Condition1' with: #'Condition2.
	For more information see: http://code.google.com/p/metacello/wiki/CustomProjectAttrributes"

	^ #().! !

!ConfigurationOfGTInspector methodsFor: 'symbolic versions' stamp: 'AndreiChis 9/22/2014 14:42'!
development: spec
	<symbolicVersion: #'development'>

	spec for: #'common' version: '1.0-baseline'.
! !

!ConfigurationOfGTInspector methodsFor: 'accessing' stamp: 'AndreiChis 8/27/2014 22:51'!
project

	^ project ifNil: [ 
		"Bootstrap Metacello if it is not already loaded"
		(self class baseConfigurationClassIfAbsent: []) ensureMetacello.
		"Construct Metacello project"
		project := MetacelloMCProject new projectAttributes: self customProjectAttributes. 
		(Smalltalk at: #MetacelloVersionConstructor) on: self project: project.
		project loadType: #linear. "change to #atomic if desired"
		project ]! !

!ConfigurationOfGTInspector methodsFor: 'versions' stamp: 'AndreiChis 9/30/2014 17:19'!
version101: spec
	<version: '1.0.1' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 1.0.1'.
		spec author: 'AndreiChis'.
		spec timestamp: '9/30/2014 17:11'.
		spec 
			project: 'GlamourCore' with: '2.71'.
		spec 
			package: #'GT-Inspector' with: 'GT-Inspector-TudorGirba.239';
			package: 'GT-InspectorExtensions-Core' with: 'GT-InspectorExtensions-Core-AndreiChis.55';
			package: 'GT-Tests-Inspector' with: 'GT-Tests-Inspector-TudorGirba.22'. ].
! !

!ConfigurationOfGTInspector methodsFor: 'versions' stamp: 'AndreiChis 9/30/2014 23:31'!
version102: spec
	<version: '1.0.2' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 1.0.2'.
		spec author: 'AndreiChis'.
		spec timestamp: '9/30/2014 20:55'.
		spec 
			project: 'GlamourCore' with: '2.71'.
		spec 
			package: #'GT-Inspector' with: 'GT-Inspector-TudorGirba.239';
			package: 'GT-InspectorExtensions-Core' with: [ 
				spec file: 'GT-InspectorExtensions-Core-AndreiChis.56'.
				spec repository: 'http://www.smalltalkhub.com/mc/PharoExtras/GTToolsIntegration/main' ];
			package: 'GT-Tests-Inspector' with: 'GT-Tests-Inspector-TudorGirba.22'. ].
! !

!ConfigurationOfGTInspector methodsFor: 'versions' stamp: 'AndreiChis 10/1/2014 14:53'!
version103: spec
	<version: '1.0.3' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 1.0.3'.
		spec author: 'AndreiChis'.
		spec timestamp: '9/30/2014 14:52'.
		spec 
			project: 'GlamourCore' with: '2.72'.
		spec 
			package: #'GT-Inspector' with: 'GT-Inspector-TudorGirba.239';
			package: 'GT-InspectorExtensions-Core' with: [ 
				spec file: 'GT-InspectorExtensions-Core-AndreiChis.56'.
				spec repository: 'http://www.smalltalkhub.com/mc/PharoExtras/GTToolsIntegration/main' ];
			package: 'GT-Tests-Inspector' with: 'GT-Tests-Inspector-TudorGirba.22'. ].
! !

!ConfigurationOfGTInspector methodsFor: 'versions' stamp: 'AndreiChis 10/2/2014 18:19'!
version104: spec
	<version: '1.0.4' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 1.0.4'.
		spec author: 'AndreiChis'.
		spec timestamp: '10/02/2014 18:16'.
		spec 
			project: 'GlamourCore' with: '2.73'.
		spec 
			package: #'GT-Inspector' with: 'GT-Inspector-TudorGirba.239';
			package: 'GT-InspectorExtensions-Core' with: [ 
				spec file: 'GT-InspectorExtensions-Core-AndreiChis.57'.
				spec repository: 'http://www.smalltalkhub.com/mc/PharoExtras/GTToolsIntegration/main' ];
			package: 'GT-Tests-Inspector' with: 'GT-Tests-Inspector-TudorGirba.22'. ].
! !

!ConfigurationOfGTInspector methodsFor: 'versions' stamp: 'AndreiChis 10/3/2014 17:48'!
version105: spec
	<version: '1.0.5' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 1.0.5'.
		spec author: 'AndreiChis'.
		spec timestamp: '10/03/2014 17:06'.
		spec 
			project: 'GlamourCore' with: '2.74'.
		spec 
			package: #'GT-Inspector' with: 'GT-Inspector-TudorGirba.241';
			package: 'GT-InspectorExtensions-Core' with: [ 
				spec file: 'GT-InspectorExtensions-Core-AndreiChis.60'.
				spec repository: 'http://www.smalltalkhub.com/mc/PharoExtras/GTToolsIntegration/main' ];
			package: 'GT-Tests-Inspector' with: 'GT-Tests-Inspector-TudorGirba.22'. ].
! !

!ConfigurationOfGTInspector methodsFor: 'versions' stamp: 'AndreiChis 9/22/2014 14:43'!
version10: spec
	<version: '1.0' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 1.0'.
		spec author: 'AndreiChis'.
		spec timestamp: '9/22/2014 14:38'.
		spec 
			project: 'GlamourCore' with: '2.7'.
		spec 
			package: #'GT-Inspector' with: 'GT-Inspector-TudorGirba.239';
			package: 'GT-InspectorExtensions-Core' with: 'GT-InspectorExtensions-Core-TudorGirba.53';
			package: 'GT-Tests-Inspector' with: 'GT-Tests-Inspector-TudorGirba.22'. ].
! !
